Loyality Documentation
  1. Sessions
Loyality Documentation
  • Coaches
    • Resumes
      • Get all Resumes
      • Filter Resume By Status
      • Get Resume Details
      • Mark As Done
      • Drop A Review
      • Drop Updated Resume
    • Sessions
      • Get All My Sessions
        GET
      • View Specific Session
        GET
      • Raise A Concern
        PUT
      • Mark As Complete
        PATCH
      • Ask For Reschdule
        POST
    • Mock A Coach
      POST
  • Users
    • Sessions
      • Create A Session (New)
      • Get All Sessions
      • Get A Session
      • Drop A Review
      • Book A Discovery Call
      • Reshedule Session
      • Close Session
      • Raise A Concern
      • One-On-One Coaching
    • Authentication
      • Registration
      • Login
      • Logout
      • Forget-Password
      • Resend Activation Link
      • View Profile
      • Update Account
      • Update Account As Coach
      • Activate Reset Password
      • Google Auth (Redirection Page)
      • Google Auth Callback
      • Change Password
      • Price Account Set Up
      • Schedule Account Setup
      • Turn On / Off Individual Session
    • Resumes
      • Submit A Resume
      • Get All Resumes
      • Get A Specific Resume
      • Make A Review
      • Raise A Concern
    • BootCamps
      • Register For BootCamp
    • Payments
      • Verify Payment Hook
  • Admin
    • Videos
      • Upload An Video
      • Get All Videos
      • Get Specific Videos
      • Delete Video
      • Update Video
    • Community
      • Get All Communities
      • Create A Community
      • Update Community
      • Delete Community
      • Get All Newsletters
    • Coaches
      • Get All Coaches
      • Coach Profile
      • Swtich Coaches Role
    • Sessions
      • Get All Sessions
      • Get Session Details
      • Mark As Complete
      • Setting Timeline On One-On-One
      • USD Session & Sends USD Notification
    • Authentication
      • Profile
      • Admin Login
    • Users
      • Get All Users
      • User Profile
    • Articles
      • Get All Articles
      • Get Article Details
      • Create A Article
      • Update Article
      • Delete Article
    • Testimonials
      • Get All Testimonials
      • Approve Or Disapprove Testimonails
      • Create A Testimonial
      • Get Specific Testimonial
    • BootCamp (Cohort)
      • Add Cohort
      • Get All Cohorts
      • Get All Specific Cohort
      • Get All Students
      • Delete Cohort
      • Update Cohort
    • Resumes
      • Get All Resumes
      • Assign A Resume
      • Get Resume Details
    • Hero Videos
      • Get All Hero Videos
      • Upload Hero Video
      • Get A Specific Hero Video
      • Update Hero Video
      • Delete Hero Video
    • Events
      • Get All Events
      • Create Event
      • Update Event
      • Get Specfic Events
      • Delete Events
    • Get All Subscribers
      GET
  • Get All Coaches
    GET
  • Welcome Page
    GET
  • Activate Account
    GET
  • HealthCheck
    GET
  • Sign Up For NewsLetters
    POST
  • Get All Plans
    GET
  • List Of Banks
    GET
  • Account Verification
    POST
  • Get A Coach
    GET
  • Get all Testimonials
    GET
  • Get All BootCamps
    GET
  • Get All Articles
    GET
  • Get Specific Articles
    GET
  • Get A Specific Bootcamp
    GET
  • Get A Specific Video
    GET
  • Get All Videos
    GET
  • Get All Events
    GET
  • Get A Specific Event
    GET
  • Get All Hero Videos
    GET
  • Get All Communities
    GET
  • Get A Coach By Slug
    GET
  • Check Slug Availability
    GET
  1. Sessions

Mark As Complete

PATCH
/api/v1/coaches/sessions/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/coaches/sessions/679a32e49bf077ce031d3c80' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "status": "completed"
}'
Response Response Example
{
    "data": {
        "message": "Success! Your session has been marked as completed.",
        "status": true,
        "session": {
            "id": "67868cf9fff529afcf9217ba",
            "userId": "678261c1ae5e28ad9822bdc7",
            "coachId": "6782633cae5e28ad9822bdcb",
            "title": "LIVE WITH YAHAYA ABDULLAH ABU",
            "type": "live",
            "status": "completed",
            "meetingLink": "https://meet.google.com/cun-drhq-cuj",
            "reschedule": [],
            "timezone": "West Africa Time (WAT, UTC+1)",
            "updatedAt": "2025-01-14T17:31:15.135Z",
            "createdAt": "2025-01-14T16:12:41.863Z"
        }
    }
}
Modified at 2026-03-12 16:57:10
Previous
Raise A Concern
Next
Ask For Reschdule
Built with